##
##  anubis.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2014 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   FIXME: rc.anubis still missing

#   package information
Name:         anubis
Summary:      SMTP Message Submission Daemon
URL:          http://www.gnu.org/software/anubis/
Vendor:       W. Polak, S. Poznyakoff, K. Burghardt
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Mail
License:      GPL
Version:      4.2
Release:      20140524

#   list of sources
Source0:      http://ftp.gnu.org/gnu/anubis/anubis-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc, make, flex, bison
PreReq:       OpenPKG, openpkg >= 20100101, perl
BuildPreReq:  pcre, gnutls, libgsasl
PreReq:       pcre, gnutls, libgsasl

%description
    GNU Anubis is an SMTP message submission daemon. It represents an
    intermediate layer between mail user agent (MUA) and mail transport
    agent (MTA), receiving messages from the MUA, applying to them a
    set of predefined changes and finally inserting modified messages
    into an MTA routing network. The set of changes applied to a message
    is configurable on a system-wide and per-user basis. The built-in
    configuration language used for defining sets of changes allows for
    considerable flexibility and is easily extensible.

%track
    prog anubis = {
        version   = %{version}
        url       = http://ftp.gnu.org/gnu/anubis/
        regex     = anubis-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;/usr/bin/perl;%{l_prefix}/bin/perl;' \
        contrib/msg2smtp.pl
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --infodir=%{l_prefix}/info \
        --with-pcre \
        --with-gsasl \
        --with-gnutls \
        --with-libgnutls-prefix=%{l_prefix} \
        --without-gpgme \
        --without-guile \
        --disable-nls
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    mv  $RPM_BUILD_ROOT%{l_prefix}/bin/msg2smtp.pl \
        $RPM_BUILD_ROOT%{l_prefix}/bin/msg2smtp
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rmdir $RPM_BUILD_ROOT%{l_prefix}/share/anubis >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/emacs >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

